View Issue Details

IDProjectCategoryView StatusLast Update
0003252PluginsColorerpublic2020-06-15 18:48
Reporterlsa Assigned Toctapmex  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Summary0003252: Far Manager зависает при открытии файла на редактирование
DescriptionПри открытии на редактирование приложенного к данному issue файла Far Manager зависает, при этом активно используется процессор.
Steps To ReproduceОткрыть приложенный к issue файл по F4
TagsNo tags attached.

Activities

lsa

2016-06-06 07:24

reporter  

Far-F4-виснет.html (3,609 bytes)   
<HEAD>\r\n<STYLE>BODY{font:x-small \'Verdana\';margin-right:1.5em}\r\n.c{cursor:hand}\r\n.b{color:red;font-family:\'Courier New\';font-weight:bold;text-decoration:none}\r\n.e{margin-left:1em;text-indent:-1em;margin-right:1em}\r\n.k{margin-left:1em;text-indent:-1em;margin-right:1em}\r\n.t{color:#990000}\r\n.xt{color:#990099}\r\n.ns{color:red}\r\n.dt{color:green}\r\n.m{color:blue}\r\n.tx{font-weight:bold}\r\n.db{text-indent:0px;margin-left:1em;margin-top:0px;margin-bottom:0px;padding-left:.3em;border-left:1px solid #CCCCCC;font:small Courier}\r\n.di{font:small Courier}\r\n.d{color:blue}\r\n.pi{color:blue}\r\n.cb{text-indent:0px;margin-left:1em;margin-top:0px;margin-bottom:0px;padding-left:.3em;font:small Courier;color:#888888}\r\n.ci{font:small Courier;color:#888888}\r\nPRE{margin:0px;display:inline}</STYLE>\r\n\r\n<SCRIPT><!--\r\nfunction f(e){\r\nif (e.className==\"ci\"){if (e.children(0).innerText.indexOf(\"\\n\")>0) fix(e,\"cb\");}\r\nif (e.className==\"di\"){if (e.children(0).innerText.indexOf(\"\\n\")>0) fix(e,\"db\");}\r\ne.id=\"\";\r\n}\r\nfunction fix(e,cl){\r\ne.className=cl;\r\ne.style.display=\"block\";\r\nj=e.parentElement.children(0);\r\nj.className=\"c\";\r\nk=j.children(0);\r\nk.style.visibility=\"visible\";\r\nk.href=\"#\";\r\n}\r\nfunction ch(e){\r\nmark=e.children(0).children(0);\r\nif (mark.innerText==\"+\"){\r\nmark.innerText=\"-\";\r\nfor (var i=1;i<e.children.length;i++)\r\ne.children(i).style.display=\"block\";\r\n}\r\nelse if (mark.innerText==\"-\"){\r\nmark.innerText=\"+\";\r\nfor (var i=1;i<e.children.length;i++)\r\ne.children(i).style.display=\"none\";\r\n}}\r\nfunction ch2(e){\r\nmark=e.children(0).children(0);\r\ncontents=e.children(1);\r\nif (mark.innerText==\"+\"){\r\nmark.innerText=\"-\";\r\nif (contents.className==\"db\"||contents.className==\"cb\")\r\ncontents.style.display=\"block\";\r\nelse contents.style.display=\"inline\";\r\n}\r\nelse if (mark.innerText==\"-\"){\r\nmark.innerText=\"+\";\r\ncontents.style.display=\"none\";\r\n}}\r\nfunction cl(){\r\ne=window.event.srcElement;\r\nif (e.className!=\"c\"){e=e.parentElement;if (e.className!=\"c\"){return;}}\r\ne=e.parentElement;\r\nif (e.className==\"e\") ch(e);\r\nif (e.className==\"k\") ch2(e);\r\n}\r\nfunction ex(){}\r\nfunction h(){window.status=\" \";}\r\ndocument.onclick=cl;\r\n--></SCRIPT>\r\n</HEAD>\r\n<BODY class=st>\r\n<DIV class=e>\r\n<DIV style=\"TEXT-INDENT: -2em; MARGIN-LEFT: 1em\" class=c><A class=b onfocus=h() onclick=\"return false\" href=\"#\">-</A> <SPAN class=m>&lt;</SPAN><SPAN class=t>DATA</SPAN><SPAN class=m>&gt;</SPAN></DIV>\r\n<DIV>\r\n<DIV class=e>\r\n<DIV style=\"TEXT-INDENT: -2em; MARGIN-LEFT: 1em\"><SPAN class=b>&nbsp;</SPAN> <SPAN class=m>&lt;</SPAN><SPAN class=t>URL</SPAN><SPAN class=m>&gt;</SPAN><SPAN class=tx></SPAN><SPAN class=m>&lt;/</SPAN><SPAN class=t>URL</SPAN><SPAN class=m>&gt;</SPAN> </DIV></DIV>\r\n<DIV class=e>\r\n<DIV style=\"TEXT-INDENT: -2em; MARGIN-LEFT: 1em\"><SPAN class=b>&nbsp;</SPAN> <SPAN class=m>&lt;</SPAN><SPAN class=t>EXT</SPAN><SPAN class=m>&gt;</SPAN><SPAN class=tx>jpg</SPAN><SPAN class=m>&lt;/</SPAN><SPAN class=t>EXT</SPAN><SPAN class=m>&gt;</SPAN> </DIV></DIV>\r\n<DIV class=e>\r\n<DIV style=\"TEXT-INDENT: -2em; MARGIN-LEFT: 1em\"><SPAN class=b>&nbsp;</SPAN> <SPAN class=m>&lt;</SPAN><SPAN class=t>TITLE</SPAN><SPAN class=m>&gt;</SPAN><SPAN class=tx>some var text or file name</SPAN><SPAN class=m>&lt;/</SPAN><SPAN class=t>TITLE</SPAN><SPAN class=m>&gt;</SPAN> </DIV></DIV>\r\n<DIV><SPAN class=b>&nbsp;</SPAN> <SPAN class=m>&lt;/</SPAN><SPAN class=t>DATA</SPAN><SPAN class=m>&gt;</SPAN></DIV></DIV></DIV></BODY>
Far-F4-виснет.html (3,609 bytes)   

2useven10

2016-06-06 08:40

developer   bugnote:0014588

без плагинов не виснет.
так что, скорее всего colorer....

2useven10

2016-06-06 09:34

developer   bugnote:0014589

Более старый colorer (пробовал из фар 4094) при этом показывает:
╔════════ FarColorer ═════════╗
║ Reloading schema library... ║
╚═════════════════════════════╝

lsa

2016-06-06 09:39

reporter   bugnote:0014590

Последний показывает этот же сообщение и так же виснет.

2useven10

2016-06-06 09:42

developer   bugnote:0014591

Последний у меня виснет молча. Никаких сообщений нет.

lsa

2016-06-06 09:43

reporter  

2016-06-06_12-43-06.png (98,329 bytes)   
2016-06-06_12-43-06.png (98,329 bytes)   

lsa

2016-06-06 09:44

reporter   bugnote:0014592

Для чистоты эксперимента приатачил скриншот с последней версией, возможно как-то поможет в поиске проблемы.

sonar

2019-01-24 09:54

developer   bugnote:0016438

виноват colorer. известная проблема с обработкой длинных строк. пока не обнадежу

JohnDoe

2019-01-24 10:04

updater   bugnote:0016439

> пока не обнадежу

Colorer мог бы хотя бы сообщать, чем именно в данный момент занят (в идеале с возможностью прервать процесс).
Такое возможно?

ctapmex

2020-06-15 18:48

developer   bugnote:0016872

решено в 1.3.13

Issue History

Date Modified Username Field Change
2016-06-06 07:24 lsa New Issue
2016-06-06 07:24 lsa File Added: Far-F4-виснет.html
2016-06-06 08:40 2useven10 Note Added: 0014588
2016-06-06 09:34 2useven10 Note Added: 0014589
2016-06-06 09:39 lsa Note Added: 0014590
2016-06-06 09:42 2useven10 Note Added: 0014591
2016-06-06 09:43 lsa File Added: 2016-06-06_12-43-06.png
2016-06-06 09:44 lsa Note Added: 0014592
2019-01-24 09:54 sonar Note Added: 0016438
2019-01-24 10:04 JohnDoe Note Added: 0016439
2020-05-12 08:16 ctapmex Assigned To => ctapmex
2020-05-12 08:16 ctapmex Status new => assigned
2020-06-15 18:48 ctapmex Status assigned => resolved
2020-06-15 18:48 ctapmex Note Added: 0016872
2020-06-15 18:48 ctapmex Status resolved => closed
2020-06-15 18:48 ctapmex Resolution open => fixed